#include "command_processor.h"

int boothState[16];

void process_command(int* data, int paramCount)
{
  bool reply = false;

  switch(*data){
    case COMM_NULL:
      break;
    case COMM_REBOOT:
      break;
    case COMM_DIN:
      break;
    case COMM_DOUT:
      break;
    case COMM_RELAY:
      break;
    case COMM_AOUT:
      break;
    case COMM_AIN:
      break;
    case COMM_ECHO:
      break;
    case COMM_LED_STATUS:
      break;
    case COMM_GET_TEMP:
      break;
    case COMM_PLAY:
      break;
    case COMM_RF:
      break;
    case COMM_NEST:
      break;
    case COMM_BOOTH_STATE:
      break;
    case COMM_STRIP1:

      break;
    case COMM_STRIP2:
      break;
    case COMM_OLED:
      break;
    default:;
  }


  if(reply){
    
  }
}

/*
int AppStates[16];

int getEvent(int index, int& ev){
  return ev[index];

}
enum BoothStates = { }
void RunAnimation(int stateIndex){
  switch (AppStates[stateIndex]){
    case 0:
      break;
    case 1:
      break;
    
  }
}
*/
